"""Add Edge Port workflows..

Revision ID: c466b64eccfd
Revises: 75b5c3597bf4
Create Date: 2024-08-27 11:54:16.284844

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'c466b64eccfd'
down_revision = '75b5c3597bf4'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_edge_port",
        "target": "CREATE",
        "description": "Create Edge Port",
        "product_type": "EdgePort"
    },
    {
        "name": "modify_edge_port",
        "target": "MODIFY",
        "description": "Modify Edge Port",
        "product_type": "EdgePort"
    },
    {
        "name": "terminate_edge_port",
        "target": "TERMINATE",
        "description": "Terminate Edge Port",
        "product_type": "EdgePort"
    },
    {
        "name": "validate_edge_port",
        "target": "SYSTEM",
        "description": "Validate Edge Port Configuration",
        "product_type": "EdgePort"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
