"""Add GÉANT IP creation workflow.

Revision ID: 734dc86f5dd3
Revises: aa6dcb493d12
Create Date: 2024-09-19 16:11:25.056745

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '734dc86f5dd3'
down_revision = 'aa6dcb493d12'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_geant_ip",
        "target": "CREATE",
        "description": "Create G\u00c9ANT IP",
        "product_type": "GeantIP"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
