"""Product types for Edge Port."""

from orchestrator.domain.base import SubscriptionModel
from orchestrator.types import SubscriptionLifecycle

from gso.products.product_blocks.edge_port import (
    EdgePortBlock,
    EdgePortBlockInactive,
    EdgePortBlockProvisioning,
)


class EdgePortInactive(SubscriptionModel, is_base=True):
    """An Edge Port that is inactive."""

    edge_port: EdgePortBlockInactive


class EdgePortProvisioning(EdgePortInactive, lifecycle=[SubscriptionLifecycle.PROVISIONING]):
    """An Edge Port that is being provisioned."""

    edge_port: EdgePortBlockProvisioning


class EdgePort(EdgePortProvisioning, lifecycle=[SubscriptionLifecycle.ACTIVE]):
    """An Edge Port that is active."""

    edge_port: EdgePortBlock
